Skip to content

Retrieve an AD Connection

Request

Admin roles:
  • access_admin

Retrieves the properties of a specified AD Connection

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

ad_connection_idstringrequired

The UUID of the AD Connection

curl -i -X GET \
  'https://app.scaleft.com/v1/teams/{team_name}/integrations/ad_connections/{ad_connection_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
active_task_settings_idstring, (regex)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...required

The UUID of the currently active AD Task Settings

domainstring, <= 255 charactersrequired

The domain to query

domain_controllersArray of stringsrequired

A comma-separated list of domain controllers used to query the domain. Can use a hostname or IP address.

gateway_idstring, (regex)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...required

The UUID of a Gateway

gateway_namestring, <= 255 charactersrequired

The name of a Gateway

idstring, (regex)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...required

The ID of the AD Connection

namestring, <= 255 charactersrequired

The name of the AD Connection

service_account_usernamestring, <= 255 charactersrequired

The username of a service account used to query the domain

Response
{ "active_task_settings_id": "5a3af768-063f-4a12-a056-8ef24e123483", "domain": "foo.example.com", "domain_controllers": [ "1.2.3.4", "bar.example.com" ], "gateway_id": "5a3af768-063f-4a12-a056-8ef24e555555", "gateway_name": "gateway1", "id": "99006ae2-db7e-4735-b6bc-c726e6ae81c4", "name": "test", "service_account_username": "admin" }